> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Adds actions to a specific tool attached to an agent.

# Enable actions for a tool

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml patch /ai-agents/agent-builder/agents/{uid}/tools/{slug}/actions/add
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/agents/{uid}/tools/{slug}/actions/add:
    patch:
      tags:
        - Agent Builder
      summary: Enable actions for a tool
      description: Adds actions to a specific tool attached to an agent.
      operationId: AgentBuilderController_addActionsToTool
      parameters:
        - name: uid
          required: true
          in: path
          description: AI Agent UID
          schema:
            type: string
        - name: slug
          required: true
          in: path
          description: Tool slug (e.g., gmail, googlesheets)
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManageActionsDto'
      responses:
        '200':
          description: Actions added successfully
          content:
            application/json:
              schema:
                type: object
              example:
                success: true
      security:
        - apiKey: []
components:
  schemas:
    ManageActionsDto:
      type: object
      properties:
        actions:
          description: Array of action names to add or remove
          example:
            - send-email
            - draft-email
            - read-emails
          type: array
          items:
            type: string
      required:
        - actions
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````